xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | allbery.b@gmail.com
Safe Haskell | None

XMonad.Util.DebugWindow

Description

Module to dump window information for diagnostic/debugging purposes. See XMonad.Hooks.DebugEvents and XMonad.Hooks.DebugStack for practical uses.

Synopsis

- debugWindow :: Window -> X String

# Documentation

debugWindow :: Window -> X String

Output a window by ID in hex, decimal, its ICCCM resource name and class, and its title if available. Also indicate override_redirect with an exclamation mark, and wrap in brackets if it is unmapped or withdrawn.